Bug 102204 - Build requirement is libraw1394 instead of libraw1394-devel
Build requirement is libraw1394 instead of libraw1394-devel
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: libavc1394 (Show other bugs)
beta1
All Linux
low Severity medium
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-12 11:50 EDT by Matthias Saou
Modified: 2007-03-27 00:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-25 11:52:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2003-08-12 11:50:35 EDT
Trivial error. In the current spec file, there is :

BuildRequires: libraw1394

Which doesn't work, it should be :

BuildRequires: libraw1394-devel

Also, the version in the URL: field is hard-coded, the redundant
name/version/release definitions at the top should probably be removed, and
s/Copyright/License/ wouldn't harm. Same goes for adding "-q to %setup and using
"-p /sbin/ldconfig" for the scriplets.

Matthias
Comment 1 Matthias Saou 2003-08-12 11:59:39 EDT
Well, further trying to build, another bug, any a much more nasty one : The
devel package doesn't require the main one, although it contains the .so
symlinks to the original libs!

Seems to me that this spec file wasn't really taken care of as it should have :-)

Matthias
Comment 2 Matthias Saou 2003-08-12 12:09:37 EDT
Hmmm, the libraw1394 devel package is also affected in the same way. It's also
lacking a line like this to work properly :

Requires: %{name} = %{version}-%{release}

Matthias
Comment 3 Bill Nottingham 2003-08-25 11:52:14 EDT
Fixed in -7.

Note You need to log in before you can comment on or make changes to this bug.